Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

Ok, so appart from the export: links in "wiki" fields looking ugly (are there plans to make them show either only the filename or even

make the links "configurable" like http links?), I had a user asking if there was a way to make the pdfs he had in the repo be shown in

the browser instead of force-downloading them.

I have whipped up a small patch (somewhat looked off of the mimetype-fu plugin) that guesses the mime-type of a file according to

its extension and Mime::Type and sets the disposition to inline to make browsers show them instead of downloading them. The patch

is attached, but it changes the behavior of the "raw" download action also used by the download-Link in the repository tab.

That brings us to the discussion if the "raw" Links should be changed, or if an extra action, say show, should be configured, but the

changes to the patch should be quite straightforward.

Last but not least: there are only a very few mime types defined in redmine at the moment, one source for some more could e.g. be 

this list from the mimetype-fu plugin.

Related issues:

Related to Redmine - Defect #6256: Redmine considers non ASCII and UTF-16 tex... Closed 2010-08-31

Related to Redmine - Feature #2209: MIME type support for repository Entries Closed 2008-11-17

Has duplicate Redmine - Feature #5055: Set mime-type in response when downloa... Closed 2010-03-11

History

#1 - 2009-12-29 08:42 - Andrea Campi

+1 for the concept (although I haven't tried out the attached patch).

#2 - 2011-03-23 05:42 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#3 - 2011-03-23 05:43 - Toshi MARUYAMA

- Subject changed from Make export show repository files instead of forcing download to Use mime types in downloading from repository

#4 - 2011-03-23 05:47 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

- Resolution set to Fixed

Original subject problem is similar with #6256.

This issue feature is implemented by r5210.

#5 - 2011-03-23 06:03 - Toshi MARUYAMA

AttachmentsController uses "inline" for only images.

See source:tags/1.1.2/app/controllers/attachments_controller.rb#L43.

Files

mime_type_and_inlne_repo_files.patch 1.08 KB 2009-12-23 Felix Schäfer
http://github.com/mattetti/mimetype-fu
http://github.com/mattetti/mimetype-fu/blob/aecc4c1dc4e4d1d582b7ac97808de18f13a756e7/lib/mime_types.yml
https://www.redmine.org/issues/6256
https://www.redmine.org/projects/redmine/repository/svn/revisions/5210
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/1.1.2/app/controllers/attachments_controller.rb#L43
